<script setup lang="ts">
type ClickType = 'back'

const emit = defineEmits<{
  (e: 'click', type: ClickType): void
}>()

function onClick(type: ClickType) {
  emit('click', type)
}
</script>

<template>
  <div class="m-2 flex gap-2 px-2">
    <div>
      <Button variant="ghost"@click="onClick('back')" >
        <Icon name="i-lucide-arrow-left" class="" />
        Back
      </Button>
    </div>
  </div>
</template>
